Bug 172183 - Review Request: drgeo-doc
Review Request: drgeo-doc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-01 03:31 EST by Eric Tanguy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 16:22:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2005-11-01 03:31:52 EST
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc-1.6-1.src.rpm
Description: Html documentation for drgeo
Comment 1 Aurelien Bompard 2005-11-01 06:48:16 EST
* Everything below %setup should be in %install. %prep is just for unpacking the
archive and applying the patches. The install of the files should be in the
%install section.
* If you use "install -D" you don't need to use mkdir before
* Use the -p switch of "install" to preserve timestamps
* HTML files and pictures should be installed with mode 644, not 755.
* Add the AUTHORS, README, TODO, ChangeLog, and COPYING files
Comment 2 Eric Tanguy 2005-11-01 12:17:11 EST
(In reply to comment #1)
> * Everything below %setup should be in %install. %prep is just for unpacking the
> archive and applying the patches. The install of the files should be in the
> %install section.
Ok
> * If you use "install -D" you don't need to use mkdir before
> * Use the -p switch of "install" to preserve timestamps
> * HTML files and pictures should be installed with mode 644, not 755.
Ok
> * Add the AUTHORS, README, TODO, ChangeLog, and COPYING files
Ok but without TODO which does not exist

Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc-1.6-2.src.rpm
Comment 3 Aurelien Bompard 2005-11-01 12:22:13 EST
About the AUTHORS, README, ChangeLog, and COPYING files, it's better to package
them as %doc in the %files section.
Comment 4 Ralf Corsepius 2005-11-01 12:27:39 EST
What the rationale for not packaging these files as part of the drgeo rsp.
drgeo-devel packages?

To me, shipping them separately doesn't make much sense. 
Comment 5 Eric Tanguy 2005-11-01 12:53:36 EST
(In reply to comment #4)
> What the rationale for not packaging these files as part of the drgeo rsp.
> drgeo-devel packages?
> 
> To me, shipping them separately doesn't make much sense. 
It makes sense to package them separately because the soft and the doc does not
move at the same rate. That's why the version number for the soft is  
1.1.0 and 1.6 for doc. And that's why also the are shipped in 2 separate archives.
New version : 
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc-1.6-3.src.rpm
Comment 6 Rex Dieter 2005-11-01 13:01:20 EST
Also, a separate -doc rpm can be packaged as .noarch.rpm
Comment 7 Aurelien Bompard 2005-11-01 18:35:33 EST
* The BuildRoot must be cleaned at the beginning of %install
* %{_datadir}/drgeo/help should be owned by the package, that was right.
* Don't copy the AUTHORS...COPYING files in %install, just put this in %files:
  %doc AUTHORS README ChangeLog COPYING
  It will copy the files to the right place (%_docdir) and tag them
Comment 8 Eric Tanguy 2005-11-02 00:26:07 EST
Done.
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc-1.6-4.src.rpm
Comment 9 Aurelien Bompard 2005-11-02 04:33:55 EST
You have to own %{_datadir}/drgeo/help in this package, because it is not in
drgeo. Everything else looks OK.
Comment 10 Eric Tanguy 2005-11-02 13:37:44 EST
Done :
Spec Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc.spec
SRPM Name or Url: http://perso.wanadoo.fr/eric.tanguy/drgeo-doc-1.6-5.src.rpm
Comment 11 Aurelien Bompard 2005-11-02 14:44:10 EST
Review for release 5:
* RPM name is OK
* Source drgeo-doc-1.6.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of drgeo-doc looks OK
* File list of drgeo-doc looks OK
* Will be accessible from drgeo when bug 172321 is fixed
APPROVED

Note You need to log in before you can comment on or make changes to this bug.